Subject: Re: Encoding problems with format-patch [Was: [PATCH v2 00/14] Sparse checkout]

From: Uwe Kleine-König <[email-masked]>
Date: Sat, 20 Sep 2008 20:40:18 +0200

Hello,

On Sat, Sep 20, 2008 at 08:01:27PM +0200, Jakub Narebski wrote:
> On Sat, 20 Sep 2008, Nguyen Thai Ngoc Duy wrote:
> >>> Nguyá»…n ThÃ¡i Ngá» c Duy (14):
> >>
> >>  Errr... what happened here? For me it doesn't look like correct UTF-8
> >>  encoding, but perhaps that it is just my news client (Gnus)...
> > 
> > The cover letter lacks MIME-Version and Content-Type, hmm..
> 
> Bug in git-format-patch? IIRC --cover-letter was added quite late, and
> is quite a new option; some bugs might have been not ironed out yet.
I hit this kind of problem already, too.

My problem was that format-patch only adds MIME-Version and
Content-Type headers if the commit has non-ascii characters.  If I add a
S-o-b only after the format-patch step I easily forget to add the needed
headers.  IMHO the right fix is to let send-email stop if there is no
encoding related header in the mail but non-ascii characters.

Best regards
Uwe